OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.EXT.WindowRectangles

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTWindowRectangles :: MonadIO m => m Bool
- gl_EXT_window_rectangles :: Bool
- pattern GL_EXCLUSIVE_EXT :: GLenum
- pattern GL_INCLUSIVE_EXT :: GLenum
- pattern GL_MAX_WINDOW_RECTANGLES_EXT :: GLenum
- pattern GL_NUM_WINDOW_RECTANGLES_EXT :: GLenum
- pattern GL_WINDOW_RECTANGLE_EXT :: GLenum
- pattern GL_WINDOW_RECTANGLE_MODE_EXT :: GLenum
- glWindowRectanglesEXT :: MonadIO m => GLenum -> GLsizei -> Ptr GLint -> m ()

# Extension Support

glGetEXTWindowRectangles :: MonadIO m => m Bool Source #

Is the EXT_window_rectangles extension supported?

gl_EXT_window_rectangles :: Bool Source #

Is the EXT_window_rectangles extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTWindowRectangles` in those cases instead.

# Enums

pattern GL_EXCLUSIVE_EXT :: GLenum Source #

pattern GL_INCLUSIVE_EXT :: GLenum Source #

pattern GL_MAX_WINDOW_RECTANGLES_EXT :: GLenum Source #

pattern GL_NUM_WINDOW_RECTANGLES_EXT :: GLenum Source #

pattern GL_WINDOW_RECTANGLE_EXT :: GLenum Source #

pattern GL_WINDOW_RECTANGLE_MODE_EXT :: GLenum Source #

# Functions

glWindowRectanglesEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `mode`.
-> GLsizei | `count`.
-> Ptr GLint | `box` pointing to `COMPSIZE(count)` elements of type `GLint`.
-> m () |